- Update to 3.2.4-282-g49422b58a
- Sort some usage output. - Manpage cleanup. - bulk: use buffered reads for various operations. - timestamp: rewritten. - Add more tests. - Various performance improvements. - TMPFS_ALL: reduce tmpfs lock contention for builder rollbacks. - Reduce proctree lock contention. - Fix null-mounting of /rescue. - Null-mount /usr/share and /usr/tests. - Add a foreachport sub-command for running arbitrary commands against ports. This is quite new and still under development. - Fix shared locks not properly handling stale locks. - image: Fix default permissions to cfg and data partitions
This commit is contained in:
parent
e947627762
commit
147417f09c
Notes:
svn2git
2021-03-31 03:12:20 +00:00
svn path=/head/; revision=463610
5 changed files with 7 additions and 54 deletions
|
@ -1,8 +1,8 @@
|
|||
# $FreeBSD$
|
||||
|
||||
PORTNAME= poudriere
|
||||
DISTVERSION= 3.2.99.20180202
|
||||
PORTREVISION= 4
|
||||
DISTVERSION= 3.2.99.20180304
|
||||
PORTREVISION= 0
|
||||
CATEGORIES= ports-mgmt
|
||||
MASTER_SITES= LOCAL/bdrewery/${PORTNAME}/ \
|
||||
http://mirror.shatow.net/freebsd/${PORTNAME}/ \
|
||||
|
@ -18,7 +18,7 @@ CONFLICTS_INSTALL= poudriere-[0-9]*
|
|||
|
||||
USE_GITHUB= yes
|
||||
GH_ACCOUNT= freebsd
|
||||
GH_TAGNAME= 3.2.4-149-g9c388299
|
||||
GH_TAGNAME= 3.2.4-282-g49422b58a
|
||||
#DISTNAME= ${GH_ACCOUNT}-${GH_PROJECT}-${GH_TAGNAME}
|
||||
|
||||
GNU_CONFIGURE= yes
|
||||
|
|
|
@ -1,3 +1,3 @@
|
|||
TIMESTAMP = 1517595754
|
||||
SHA256 (freebsd-poudriere-3.2.99.20180202-3.2.4-149-g9c388299_GH0.tar.gz) = 1b3d4ece2b5b9cb7422c0dfeb685c907fcb7e3288e7e703d29d552f06fa31767
|
||||
SIZE (freebsd-poudriere-3.2.99.20180202-3.2.4-149-g9c388299_GH0.tar.gz) = 4356256
|
||||
TIMESTAMP = 1520198602
|
||||
SHA256 (freebsd-poudriere-3.2.99.20180304-3.2.4-282-g49422b58a_GH0.tar.gz) = 2f1c2f0e1c79b61a1d3d77a2b62e41efadae009f76dd4e8a71868a4171753aa1
|
||||
SIZE (freebsd-poudriere-3.2.99.20180304-3.2.4-282-g49422b58a_GH0.tar.gz) = 4370398
|
||||
|
|
|
@ -1,37 +0,0 @@
|
|||
commit 8f9fdcc9691dcb6ab3619bbced22beb108bfcbb1
|
||||
Author: Bryan Drewery <bryan@shatow.net>
|
||||
Date: Sat Feb 3 16:39:51 2018 -0800
|
||||
|
||||
HTML: Hide harmless shared lock failures
|
||||
|
||||
commit 129a3b0bfde6bf77982ebece039aaa745ead8b2a
|
||||
Author: Bryan Drewery <bryan@shatow.net>
|
||||
Date: Sat Feb 3 17:58:53 2018 -0800
|
||||
|
||||
HTML: Only wait for shared locks for 2 seconds each
|
||||
|
||||
--- src/share/poudriere/include/html.sh.orig 2018-02-22 05:50:35 UTC
|
||||
+++ src/share/poudriere/include/html.sh
|
||||
@@ -78,11 +78,11 @@ html_json_main() {
|
||||
build_all_json() {
|
||||
critical_start
|
||||
build_json
|
||||
- if slock_acquire "json_jail_${MASTERNAME}"; then
|
||||
+ if slock_acquire "json_jail_${MASTERNAME}" 2 2>/dev/null; then
|
||||
build_jail_json
|
||||
slock_release "json_jail_${MASTERNAME}"
|
||||
fi
|
||||
- if slock_acquire "json_top"; then
|
||||
+ if slock_acquire "json_top" 2 2>/dev/null; then
|
||||
build_top_json
|
||||
slock_release "json_top"
|
||||
fi
|
||||
@@ -173,7 +173,7 @@ install_html_files() {
|
||||
local base="$2"
|
||||
local dest="$3"
|
||||
|
||||
- slock_acquire html_base || return 0
|
||||
+ slock_acquire html_base 2>/dev/null 2 || return 0
|
||||
|
||||
# Update the base copy
|
||||
mkdir -p "${base}"
|
|
@ -1,11 +0,0 @@
|
|||
--- src/share/poudriere/image.sh.orig 2018-02-06 16:22:49.894625000 +0000
|
||||
+++ src/share/poudriere/image.sh 2018-02-06 16:25:14.320814000 +0000
|
||||
@@ -314,7 +314,7 @@
|
||||
if [ -n "${HOSTNAME}" ]; then
|
||||
mkdir -p ${WRKDIR}/world/etc/rc.conf.d
|
||||
echo "hostname=${HOSTNAME}" > ${WRKDIR}/world/etc/rc.conf.d/hostname
|
||||
-else
|
||||
+fi
|
||||
|
||||
[ ! -d "${EXTRADIR}" ] || cp -fRLp ${EXTRADIR}/ ${WRKDIR}/world/
|
||||
mv ${WRKDIR}/world/etc/login.conf.orig ${WRKDIR}/world/etc/login.conf
|
|
@ -40,6 +40,7 @@ man/man8/poudriere.8.gz
|
|||
%%DATADIR%%/common.sh
|
||||
%%DATADIR%%/daemon.sh
|
||||
%%DATADIR%%/distclean.sh
|
||||
%%DATADIR%%/foreachport.sh
|
||||
%%DATADIR%%/html/assets/DataTables-1.10.0/css/jquery.dataTables.min.css
|
||||
%%DATADIR%%/html/assets/DataTables-1.10.0/css/jquery.dataTables_themeroller.min.css
|
||||
%%DATADIR%%/html/assets/DataTables-1.10.0/images/back_disabled.png
|
||||
|
|
Loading…
Reference in a new issue